package com.seeyon.apps.src_flowIntegration;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.src_flowIntegration.constants.FlowIntegrationConstants;


public class FlowIntegrationPluginApi extends APluginInfoApi {
    public FlowIntegrationPluginApi() {
    }

    public String getPluginId() {
        return FlowIntegrationConstants.getPluginId();
    }

    public String getCreateUser() {
        return "橙阳科技";
    }

    public String getDescription() {
        return "第三方流程集成集成管理";
    }

    public boolean syncOrg() {
        return true;
    }

    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        FlowIntegrationConstants[] var2 = FlowIntegrationConstants.values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            FlowIntegrationConstants value = var2[var4];
            if (value != FlowIntegrationConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }

        return configVo;
    }
}
